Skip to main content
POST
cURL

Authorizations

Authorization
string
header
required

Send your API key as Authorization: Bearer YOUR_API_KEY.

Headers

Idempotency-Key
string

Optional retry key for create-style operations. Reusing the same key with the same request returns the original result; reusing it with a different request returns 409.

Required string length: 1 - 255

Path Parameters

id
string
required

Agent id.

Minimum string length: 1

Body

application/json
targetLocationId
string
required
Minimum string length: 1
Example:

"loc_xyz789"

mode
enum<string>
required
Available options:
campaign,
everything
Example:

"everything"

name
string
required
Minimum string length: 1
Example:

"Roofing Follow Up Clone"

{key}
any

Response

Agent or campaign cloned.

success
boolean
required
mode
enum<string>
required
Available options:
campaign,
everything
campaignId
string
required
agentId
string
required
idempotentReplay
boolean

True when returned from a previous successful Idempotency-Key request.

agent
object
campaign
object
{key}
any